<!DOCTYPE html>
<html><head>
<title>eric7.MicroPython.ShowModulesDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.MicroPython.ShowModulesDialog</h1>
<p>
Module implementing a dialog to show the available modules of all bundles.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#ShowModulesDialog">ShowModulesDialog</a></td>
<td>Class implementing a dialog to show the available modules of all bundles.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="ShowModulesDialog" ID="ShowModulesDialog"></a>
<h2>ShowModulesDialog</h2>
<p>
    Class implementing a dialog to show the available modules of all bundles.
</p>

<h3>Derived from</h3>
QDialog, Ui_ShowModulesDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#ShowModulesDialog.__init__">ShowModulesDialog</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#ShowModulesDialog.__applyFilter">__applyFilter</a></td>
<td>Private slot to apply the filter to the list of available modules.</td>
</tr>
<tr>
<td><a href="#ShowModulesDialog.__checkCountUpdated">__checkCountUpdated</a></td>
<td>Private method to handle an update of the check count.</td>
</tr>
<tr>
<td><a href="#ShowModulesDialog.getSelection">getSelection</a></td>
<td>Public method to get the list of selected modules.</td>
</tr>
<tr>
<td><a href="#ShowModulesDialog.on_modulesList_itemChanged">on_modulesList_itemChanged</a></td>
<td>Private slot to handle a change of the check state of an item.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="ShowModulesDialog.__init__" ID="ShowModulesDialog.__init__"></a>
<h4>ShowModulesDialog (Constructor)</h4>
<b>ShowModulesDialog</b>(<i>modulesList, selectionMode=False, info="", parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>modulesList</i> (list of str)</dt>
<dd>
list of module names to be shown
</dd>
<dt><i>selectionMode</i> (bool (optional))</dt>
<dd>
flag indicating the activation of the selection mode
            (defaults to False)
</dd>
<dt><i>info</i> (str (optional))</dt>
<dd>
string containing some informational data (defaults to "")
</dd>
<dt><i>parent</i> (QWidget (optional))</dt>
<dd>
reference to the parent widget (defaults to None)
</dd>
</dl>
<a NAME="ShowModulesDialog.__applyFilter" ID="ShowModulesDialog.__applyFilter"></a>
<h4>ShowModulesDialog.__applyFilter</h4>
<b>__applyFilter</b>(<i></i>)
<p>
        Private slot to apply the filter to the list of available modules.
</p>

<a NAME="ShowModulesDialog.__checkCountUpdated" ID="ShowModulesDialog.__checkCountUpdated"></a>
<h4>ShowModulesDialog.__checkCountUpdated</h4>
<b>__checkCountUpdated</b>(<i></i>)
<p>
        Private method to handle an update of the check count.
</p>

<a NAME="ShowModulesDialog.getSelection" ID="ShowModulesDialog.getSelection"></a>
<h4>ShowModulesDialog.getSelection</h4>
<b>getSelection</b>(<i></i>)
<p>
        Public method to get the list of selected modules.
</p>

<dl>
<dt>Return:</dt>
<dd>
list of selected modules
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
circup.Module
</dd>
</dl>
<a NAME="ShowModulesDialog.on_modulesList_itemChanged" ID="ShowModulesDialog.on_modulesList_itemChanged"></a>
<h4>ShowModulesDialog.on_modulesList_itemChanged</h4>
<b>on_modulesList_itemChanged</b>(<i>item</i>)
<p>
        Private slot to handle a change of the check state of an item.
</p>

<dl>

<dt><i>item</i> (QTreeWidgetItem)</dt>
<dd>
reference to the changed item
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
